CVC4::prop::SatSolverFactory Class Reference

`#include <sat_solver_factory.h>`

## Static Public Member Functions

static BVSatSolverInterface * | createMinisat (context::Context *mainSatContext, const std::string &name="")
static DPLLSatSolverInterface * | createDPLLMinisat ()
static SatSolver * | create (const char *id)
static void | getSolverIds (std::vector< std::string > &solvers)
| Get the solver ids that are available.

## Detailed Description

Definition at line 28 of file sat_solver_factory.h.

## Member Function Documentation

## create()

static SatSolver * CVC4::prop::SatSolverFactory::create | ( | const char * | id | ) |

static

## createDPLLMinisat()

static DPLLSatSolverInterface * CVC4::prop::SatSolverFactory::createDPLLMinisat | ( |  | ) |

static

## createMinisat()

static BVSatSolverInterface * CVC4::prop::SatSolverFactory::createMinisat | ( | context::Context * | mainSatContext,
|  | const std::string & | name = "" )

static

## getSolverIds()

static void CVC4::prop::SatSolverFactory::getSolverIds | ( | std::vector< std::string > & | solvers | ) |

static

Get the solver ids that are available.

The documentation for this class was generated from the following file:

- src/prop/sat_solver_factory.h